Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.stat
Interface AWTPeriod

All Known Subinterfaces:
  SimLogic, StatPeriod

All Known Implementing Classes:
  BatchMeansLogic, RepLogic

    public interface AWTPeriod

Represents an object capable of computing a period index to get the acceptable waiting time of a contact. In general, the acceptable waiting time may depend on the call type and a period index. The period index often corresponds to the period of arrival, but it can be set to a fixed value in some cases. An implementation of this interface maps a contact object to a period index corresponding to the correct acceptable waiting time.

Method Summary
`int` | `getAwtPeriod(Contact contact)` Returns the index of the main period for the acceptable waiting time of contact `contact`.
`int` | `getGlobalAwtPeriod()` Returns the index for the acceptable waiting time for all periods.

Method Detail

### getAwtPeriod

    int getAwtPeriod(Contact contact)

  Returns the index of the main period for the acceptable waiting time of contact `contact`. The returned index must not be smaller than 0 or greater than P, where P is the number of main periods. If this method returns P, the acceptable waiting time for all periods is used.

  Parameters:
    `contact` - the contact being queried.
  Returns:
    the main period index for the acceptable waiting time.

### getGlobalAwtPeriod

    int getGlobalAwtPeriod()

  Returns the index for the acceptable waiting time for all periods.

  Returns:
    the main period index for the acceptable waiting time.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.